For the complete documentation index, see llms.txt. This page is also available as Markdown.

Program

Get all Programs

get

HTTP Request

GET /{tenantName}/{instanceName}/formations/{version}/programs

in our example it would be:

GET https://api.live.welkincloud.io/gh/sb-demo/formations/current/programs

Responses

Code
Description

200

OK

401

Unauthorized

403

Forbidden

404

Not Found

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
instanceNamestringRequired

Your environment name: live, sandbox, or a custom name

Example: live
Query parameters
sortstringOptionalExample: title,asc
Responses
200

List of programs

application/json
namestringRequiredPattern: ^[a-z0-9A-Z\-_]+$
titlestring · nullableOptional
descriptionstring · nullableOptional
get/{tenantName}/{instanceName}/formations/current/programs
GET /{tenantName}/{instanceName}/formations/current/programs HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "name": "text",
    "title": "text",
    "description": "text",
    "phases": [
      {
        "name": "text",
        "title": "text",
        "type": "START",
        "description": "text",
        "autoFinishProgram": true,
        "navigateTo": [
          {
            "name": "text"
          }
        ]
      }
    ],
    "nodes": [
      {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    ]
  }
]

Get Program by name

get

HTTP Request

GET /{tenantName}/{instanceName}/formations/{version}/programs/{programName}

in our example it would be:

GET https://api.live.welkincloud.io/gh/sb-demo/formations/current/programs/lead-management-program

Responses

Code
Description

200

OK

401

Unauthorized

403

Forbidden

404

Not Found

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
instanceNamestringRequired

Your environment name: live, sandbox, or a custom name

Example: live
programNamestringRequired

Machine-readable program name

Responses
200

Program formation

application/json
namestringRequiredPattern: ^[a-z0-9A-Z\-_]+$
titlestring · nullableOptional
descriptionstring · nullableOptional
get/{tenantName}/{instanceName}/formations/current/programs/{programName}
GET /{tenantName}/{instanceName}/formations/current/programs/{programName} HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "name": "text",
  "title": "text",
  "description": "text",
  "phases": [
    {
      "name": "text",
      "title": "text",
      "type": "START",
      "description": "text",
      "autoFinishProgram": true,
      "navigateTo": [
        {
          "name": "text"
        }
      ]
    }
  ],
  "nodes": [
    {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    }
  ]
}

Last updated

Was this helpful?